Parameters
JSON body
Request body
application/jsonentityIdstringRequiredAccounting entity external id.
Length: 16–24
lockedUntilstring | nullRequiredOne of 2:
Variant 1
string
Example
2026-03-31Variant 2
null
Set or clear the date lock (no postings on or before it)
JSON body
entityIdstringRequiredAccounting entity external id.
lockedUntilstring | nullRequired2026-03-311 status code documented
successbooleanRequired{
"success": false
}POST /bff/ledger/period/set-lock
curl -X POST "https://api.bizkithub.com/bff/ledger/period/set-lock" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"entityId": "example_entityId"
}'All BizKitHub public API endpoints require authentication via API key.